Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

List Operations

GET
/registry/v1/operations
curl --request GET \
--url https://example.com/registry/v1/operations

Returns a page of operations filtered by AIP-160 expression and ordered per AIP-132.

page_size
integer format: int32

The maximum number of operations to return. The service may return fewer than this value. If unspecified, at most 20 operations will be returned. The maximum value is 100; values above 100 will be coerced to 100.

page_token
string

A page token, received from a previous ListOperations call.

filter
string

AIP-160 filter expression

order_by
string

AIP-132 order_by expression

OK

Media type application/json

ListRegistryOperationsResponse

Response message for ListOperations. Note: This API intentionally omits total_size from list responses. Keyset pagination does not support efficient total count computation (COUNT(*) requires a full table scan). Per AIP-158, total_size is optional.

object
operations

The list of operations.

Array<object>
object
id
stringOutput only
resource_id
stringOutput only
resource_type
stringOutput only
operation_type
string format: enum Output only
Allowed values: REGISTRY_OPERATION_TYPE_UNSPECIFIED REGISTRY_OPERATION_TYPE_CREATE REGISTRY_OPERATION_TYPE_UPDATE REGISTRY_OPERATION_TYPE_DELETE REGISTRY_OPERATION_TYPE_TRIGGER
status
string format: enum Output only
Allowed values: REGISTRY_OPERATION_STATUS_UNSPECIFIED REGISTRY_OPERATION_STATUS_PENDING REGISTRY_OPERATION_STATUS_RUNNING REGISTRY_OPERATION_STATUS_DONE REGISTRY_OPERATION_STATUS_ERROR
insert_time
string format: date-time Output only
start_time
string format: date-time Output only
end_time
string format: date-time Output only
errors
Array<object>Output only
object
code
integer format: uint32
description
string
warnings
Array<object>Output only
object
code
integer format: uint32
description
string
progress
integer format: int32 Output only
next_page_token

A token, which can be sent as page_token to retrieve the next page. If this field is empty, there are no subsequent pages.

string
Example
{
"operations": [
{
"operation_type": "REGISTRY_OPERATION_TYPE_UNSPECIFIED",
"status": "REGISTRY_OPERATION_STATUS_UNSPECIFIED"
}
]
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}